## camel-charset-map

camel-charset-map

## Functions

void | camel_charset_init ()
void | camel_charset_step ()
const gchar * | camel_charset_best_name ()
const gchar * | camel_charset_best ()
const gchar * | camel_charset_iso_to_windows ()

## Types and Values

struct | CamelCharset

## Description

## Functions

### camel_charset_init ()

    void
    camel_charset_init (CamelCharset *Param1);

### camel_charset_step ()

    void
    camel_charset_step (CamelCharset *Param1,
                        const gchar *in,
                        gint len);

### camel_charset_best_name ()

    const gchar *
    camel_charset_best_name (CamelCharset *Param1);

### camel_charset_best ()

    const gchar *
    camel_charset_best (const gchar *in,
                        gint len);

### camel_charset_iso_to_windows ()

    const gchar *
    camel_charset_iso_to_windows (const gchar *isocharset);

#### Parameters

isocharset | a canonicalised ISO charset |

#### Returns

the equivalent Windows charset.

## Types and Values

### struct CamelCharset

    struct CamelCharset {
    	guint mask;
    	gint level;
    };